summaryrefslogtreecommitdiffstats
path: root/abs/core/linhes-scripts/770-wrapper.sh
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-09-26 01:57:08 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-09-26 01:57:08 (GMT)
commit7b29169fff9e7c624890c5edffe85def8a293136 (patch)
tree47753889faa3a2063b66d1c7e7681e703eb1b39a /abs/core/linhes-scripts/770-wrapper.sh
parentc491dea779dac29afff3578bf8245943817c2339 (diff)
downloadlinhes_pkgbuild-7b29169fff9e7c624890c5edffe85def8a293136.zip
linhes_pkgbuild-7b29169fff9e7c624890c5edffe85def8a293136.tar.gz
linhes_pkgbuild-7b29169fff9e7c624890c5edffe85def8a293136.tar.bz2
LinHES 6.01.00
Diffstat (limited to 'abs/core/linhes-scripts/770-wrapper.sh')
-rwxr-xr-xabs/core/linhes-scripts/770-wrapper.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/abs/core/linhes-scripts/770-wrapper.sh b/abs/core/linhes-scripts/770-wrapper.sh
new file mode 100755
index 0000000..65573f4
--- /dev/null
+++ b/abs/core/linhes-scripts/770-wrapper.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+# 770-wrapper.sh by Cecil Watsona
+# Modifed from
+# pdatranscode
+#
+# created by Jeff Volckaert (inspired by Zach White)
+# modified 01/16/06
+VIDEODIR=$1
+FILENAME=$2
+TITLE=$3
+# Remove non-alpha characters from TITLE
+TITLE=${TITLE//[^a-zA-Z0-9]/}
+STARTTIME=$4
+DIROUT=/myth/n770
+
+# Sanity checking, to make sure everything is in order.
+if [ -z "$VIDEODIR" -o -z "$FILENAME" ]; then
+ echo "Usage: $0 <VideoDirectory> <FileName> "<Title>" <Starttime>"
+ exit 5
+fi
+if [ ! -f $VIDEODIR/$FILENAME ]; then
+ echo "File does not exist: $VIDEODIR/$FILENAME"
+ exit 6
+fi
+
+# Transcode the file
+
+
+perl /usr/local/bin/770-encode.pl -q -p mplayer $VIDEODIR/$FILENAME $DIROUT/$TITLE-$STARTTIME.avi
+
+chmod 664 $DIROUT/$TITLE-$STARTTIME.avi
+
+ERROR=$?
+if [ $ERROR -ne 0 ]; then
+ echo "Transcoding failed for ${FILENAME} with error $ERROR"
+ exit 3
+fi